# Struct parser::attr

- Defined in File parser.hpp

## Nested Relationships

This struct is a nested type of Class parser.

## Struct Documentation

struct attr

  Struct containing information about a parsed attribute.

  Public Members

  std::string m_ns

    The namespace for this attribute.

  std::string m_name

    The name of the attribute.

  std::string m_value

    The value of the attribute.

  bool m_id = {}

    Flag indicating the attribute is defined as type ID in its ATTLIST decl.